
// // // // // // // // // // // // // // // //
//
//	FateApp.c++
//
//	created October 4th,97 by Andreas Warnke
//	last mod October 6th,97 by Andreas Warnke
//
//	description of the module:
//	Definition of the FateApp-Class
//



// // // // // // // // // // // // // // // //
//
//	include
//

#include "main.h"
#include "FateApp.h"
#include "FateWin.h"



// // // // // // // // // // // // // // // //
//
//	Konstruktor:
//

FateApp::FateApp() : BApplication("application/FateMakerDemo")
{
	//	WindowRect:
	BRect TheWindowRect ( GetScreenRect() );
	TheWindowRect.left = WinBorder;
	TheWindowRect.right = WinBorder + WinWidth - PixelSize;
	TheWindowRect.bottom = TheWindowRect.bottom - WinBorder;
	TheWindowRect.top = TheWindowRect.bottom - WinHeight + PixelSize;
	
	//	new FateWin
	FateWin *DasFenster;
	DasFenster = new FateWin( TheWindowRect  );
	DasFenster -> Show();
};



// // // // // // // // // // // // // // // //
//
//	GetScreenRect:
//

BRect
FateApp::GetScreenRect()
{
	//	New BScreen:
	BScreen *Screen ( new BScreen(B_MAIN_SCREEN_ID) );
	
	//	Ergebnis-Rect mit Default-Auflösung:
	BRect Ergebnis ( 0, 0, 640, 480 );
	
	//	Monitorauflösung ermitteln:
	if ( Screen != NULL )
	{
		Ergebnis = Screen->Frame();
		delete Screen;
	};

	//	return:
	return Ergebnis;
};



//
//	Ende.
//
// // // // // // // // // // // // // // // //
